gen-d-

  1. C

    Dante's Inferno (Running 5.50 GEN-D- Error 80020148)

    HELP i need serious help... I have just bought a PSP (don't know what model- probably 1000+) from eBay..It's a confirmed CFW..Based on the system software, it says 5.50 GEN-D (FULL)... I have recently bought an UMD game, Dante's Inferno but I can't seem to play it..I kept on getting errors...
Back
Top Bottom